Skip to main content
GET
/
v1
/
projects
/
{projectId}
/
test-executions
/
{testExecutionId}
Test Execution Status
curl --request GET \
  --url https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/test-executions/{testExecutionId} \
  --header 'Authorization: Bearer <token>'
{
  "result": {
    "environmentName": "Dev",
    "finishedAt": "2023-11-07T05:31:56Z",
    "message": "\"Rewrite Table\": Success",
    "projectId": "4a8a6162-702b-4efc-b2ec-c986e0bc95e4",
    "scheduleId": "9e2a6b04-ddd7-4bb4-b7dc-56e3b6f3ed43",
    "startedAt": "2023-11-07T05:31:56Z",
    "status": "RUNNING",
    "testExecutionId": "fd05a6c4-b3e1-4441-86a2-044d5092731d",
    "testName": "My Test",
    "trigger": "SCHEDULE",
    "user": "A User"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.maia.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

a valid bearer token

Path Parameters

projectId
string
required
testExecutionId
string<uuid>
required

Response

Test execution status has been retrieved

result
object

The test execution status details